org.jboss.netty.handler.codec.spdy

## Class SpdyFrameEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdyFrameEncoder

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler

      public class SpdyFrameEncoder
      extends Object
      implements ChannelDownstreamHandler

  Encodes a SPDY Data or Control Frame into a `ChannelBuffer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpdyFrameEncoder()` Deprecated.
    `SpdyFrameEncoder(int version)` Creates a new instance with the specified `version` and the default `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`.
    `SpdyFrameEncoder(int compressionLevel, int windowBits, int memLevel)` Deprecated.
    `SpdyFrameEncoder(int version, int compressionLevel, int windowBits, int memLevel)` Creates a new instance with the specified parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleDownstream(ChannelHandlerContext ctx, ChannelEvent evt)` Handles the specified downstream event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpdyFrameEncoder

          @Deprecated
          public SpdyFrameEncoder()

      Deprecated.
      Creates a new instance with the default `version (2)`, `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`.

    - #### SpdyFrameEncoder

          public SpdyFrameEncoder(int version)

      Creates a new instance with the specified `version` and the default `compressionLevel (6)`, `windowBits (15)`, and `memLevel (8)`.

    - #### SpdyFrameEncoder

          @Deprecated
          public SpdyFrameEncoder(int compressionLevel,
                                     int windowBits,
                                     int memLevel)

      Deprecated.
      Creates a new instance with the default `version (2)` and the specified parameters.

    - #### SpdyFrameEncoder

          public SpdyFrameEncoder(int version,
                          int compressionLevel,
                          int windowBits,
                          int memLevel)

      Creates a new instance with the specified parameters.

  - ### Method Detail

    - #### handleDownstream

          public void handleDownstream(ChannelHandlerContext ctx,
                              ChannelEvent evt)
                                throws Exception

      Description copied from interface: `ChannelDownstreamHandler`
      Handles the specified downstream event.
      Specified by:
        `handleDownstream` in interface `ChannelDownstreamHandler`
      Parameters:
        `ctx` - the context object for this handler
        `evt` - the downstream event to process or intercept
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.